## osmo-bsc 0.1.0.20170821

=== debian/changelog ===
osmo-bsc (0.1.0.20170821) UNRELEASED; urgency=low

  * Initial release.
  * Snapshot build

 -- Alexander Couzens <lynxis@fe80.eu>  Mon, 21 Aug 2017 04:45:20 +0200
