## osmo-bsc 1.3.0

=== debian/changelog ===
osmo-bsc (1.3.0-2) unstable; urgency=low

  * Fix test suite on big-endian architectures with two patches:
    - 0002-Fix-one-struct-for-big-endian-archs.patch
    - 0003-Hack-in-test-suite-at-the-right-place-to-make-it-pas.patch

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 15 Nov 2018 21:41:35 +0100

osmo-bsc (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * Refreshed patches
  * debian/control:
    - libosmo-mgcp-client-dev (>= 1.4.0)
    - libosmocore-dev (>= 0.12.0)
    - libosmo-abis-dev (>= 0.5.1)
    - libosmo-netif-dev (>= 0.3.0)
    - libosmo-sigtran-dev (>= 0.10.0)
  * debian/copyright: Fixed some paths
  * debian/osmo-bsc.examples: Remove doc/examples/osmo-bsc_nat

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 13 Nov 2018 07:52:33 +0100

osmo-bsc (1.2.1-1) unstable; urgency=low

  * Upload to unstable
  * debian/control:
    - New standards version 4.2.1 - no changes
    - Suggests: osmo-stp
  * debian/osmo-bsc.cfg: New default config file for Debian
  * debian/osmo-bsc.install: Install config file
  * debian/osmo-bsc.service: Install systemd service
  * debian/rules:
    - Do not enable or start systemd service when installing package
  * debian/tests:
    - Add simple autopkgtest to test that executable works

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 12 Nov 2018 19:55:57 +0100

osmo-bsc (1.2.1-1~exp1) experimental; urgency=low

  * Initial release (Closes: #904193)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 20 Jul 2018 22:33:21 +0200
