=== debian/watch ===
version=3
https://github.com/osmocom/osmo-bsc/releases /osmocom/osmo-bsc/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)
