## osmo-bsc 1.6.0

=== debian/changelog ===
osmo-bsc (1.6.0) unstable; urgency=medium

  [ Philipp Maier ]
  * bsc_msc_data: remove unused member is_authenticated
  * gsm_08_08.c: always pick first msc for unsolicit paging responses

  [ Neels Hofmeyr ]
  * add vty 'no neighbors' to remove all HO targets
  * neighbor config: allow re-using ARFCN+BSIC pairs
  * fsm: use deferred deallocation

  [ Vadim Yanitskiy ]
  * abis_nm.c: use LOGP() macro instead of LOGPC()
  * lchan_select.c: tune log level in lchan_select_by_type()
  * VTY: also print the active phan config in ts_dump_vty()
  * osmo_bsc_main.c: verify the physical channel mapping at startup
  * osmo_bsc_main.c: simplify computation of CCCH_CONFIG
  * osmo_bsc_main.c: fix CCCH_CONF computation: use pchan_from_config
  * abis_nm.c: fix error message in verify_chan_comb()
  * abis_nm.c: replace magic numbers with NM_CHANC_* constants
  * abis_nm.c: fix RSL connection timeout for trx->nr > 0

  [ Harald Welte ]
  * Cell Broadcast: CBSP and CBCH scheduling support
  * doc: update bsc_vty_reference.xml
  * manual: Update statements regarding SCCPlite
  * SMSCB: Send ETWS primary warning message via all dedicated channels
  * SMSCB: Send ETWS Primary Notifiation via RSL to BTS
  * check for osmo_fsm_register() error return value
  * check for osmo_ss7_init() error return value
  * manual: Fix copy+paste error
  * Move a_reset_fsm regstration to __attribute__((contructor))
  * exit(2) on unsupported positional arguments on command line
  * gsm_04_80: Avoid using deprecated API

  [ Pau Espin Pedrol ]
  * a_reset.c: Don't wait 2 seconds to send first BSSMAP RESET
  * bsc: gsm_08_08.c: Remove repeated conn not null check
  * bsc_subscr_conn_fsm: Cleanly clear BSSAP conn if associated channel closed during WAIT_CC
  * gsm_08_08.c: Mark func bsc_find_msc() static
  * sigtran: Set default remote ip to localhost instead of null
  * bsc_vty: Fix typo in 'no depends-on-bts' cmd
  * rsl: Send IE MS Power Param during CHAN ACT and MS PWR CTRL messages
  * rsl.c: Clean up some repeated use of long chains of pointers
  * rsl: Send IE MS Power Param to osmocom BTS models only
  * Remove unused API classmark_is_r99()
  * gsm_data.h: Remove unused field classmark from gsm_subscriber_connection
  * gsm_data.h: Remove unused func declarations
  * bsc: Adapt maximum MS Power Ctrl level based on band and MS Power class
  * cosmetic: bs11_config: clean trailing whitespace
  * bsc: Send MS Power Control msg upon max MS power change

  [ Martin Hauke ]
  * Fix some typos

  [ Oliver Smith ]
  * doc: osmux: use generated svg instead of pychart
  * debian, osmoappdesc.py, tests: switch to python 3

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Fri, 03 Jan 2020 18:24:51 +0100

osmo-bsc (1.5.0) unstable; urgency=medium

  [ Max ]
  * LCLS: constify helper parameters
  * LCLS: use libosmocore function to add status
  * nanobts: use libosmocore's osmo_store*() for OML attr. patching

  [ Philipp Maier ]
  * lchan_select: dont allow half rate EFR to be selected
  * lchan_select: Do not unsolicitedly select a TCH/F
  * bsc_vty: add vty command to display all lchans
  * bsc_vty: add features to disable specific lchans via vty
  * assignment_fsm: fix channel allocator preferences
  * assignment_fsm: use activate.info.s15_s0 for ASS. COMPL.
  * handover_fsm: copy old S15_S0 to new lchan
  * osmo_bsc_msc: Use meaningful amr rate configuration on BTS level
  * codec_pref: fix special handling for AMR rate configuration  (S15-S0)
  * lchan_fsm: make sure multi rate configuration is valid
  * lchan_fsm: do not include 12.2k in active set on HR channels
  * AMR: Signal usage of octet-aligned or bandwith-efficient mode to MSC
  * lchan_fsm: add missing header file.
  * osmo_bsc_bssap: check bssmap length field
  * rest_octets: add Serving Cell Priority Parameters

  [ Neels Hofmeyr ]
  * abis_rsl: Fix TCH-as-SDCCH allocation on Channel Request
  * handover_fsm: do not access conn->assignment.req, it may be outdated
  * comments: clarify usage of conn.assignment and .handover scopes
  * cosmetic: drop unused struct mgcp_ctx shadow
  * incoming connect: don't crash if calling addr is missing
  * log N-CONNECT from MSC
  * Revert "assignment_fsm: Properly support assigning signalling mode TCH/x"
  * fix log line end in assignment_fsm.c
  * avoid use-after-free: on MGW endpoint dealloc, also forget it in conn->ho.*
  * lchan activation: add explicit encryption info to activation
  * Handover Request: also parse Chosen Algorithm IE, pass to lchan activation
  * fix inter-BSC-HO-incoming for AoIP (1/2)
  * use libosmocore osmo_tdef
  * move mgw endpoint FSM to osmo-mgw.git
  * fix inter-BSC-HO-incoming for AoIP (1/2)
  * fix inter-BSC-HO-incoming for AoIP (2/2)
  * abis_rsl.c: missing newlines on log lines
  * doc/manuals: review and tweak handover docs
  * make bsc_clear_request() static
  * doc/manuals, vty doc: more handover doc clarifications
  * remove double BSSMAP Clear on HO failure
  * comment and VTY doc tweaks
  * silence error for "invalid enum handover_scope value: none"

  [ Harald Welte ]
  * gsm_data: Add gsm_bts_name() just like we have gsm_{trx,ts,lchan}_name()
  * manual: It's not "A over SCCP" but "BSSAP over SCCP"
  * manual: Add sections on 3G/4G neighbor cells
  * manual: Re-order chapters in more logical order
  * manual: s/OsmoNITB/OsmoBSC/ in examples; remove E1 based BTSs
  * manual: Remove bogus "Control interface" sub-section in overview
  * Implement CSFB "Fast Return" Handling at RR RELEASE
  * OML: Fix encoded length value of OML GET ATTRIBUTES
  * Make sure to default to AMR octet-aligned mode
  * abis_rsl: Add support for extended CBCH to rsl_sms_cb_command()
  * abis_rsl: Avoid "Unimplemented" log message for every CBCH LOAD IND
  * abis_rsl: Fix log message about unimplemented common channel msg
  * smscb: Allow transmit of SCHEDULE and DEFAULT SMSCB
  * chan_alloc: Don't include CBCH channels in load computation
  * keep per-BTS stat_items about RACH busy / RACH access percentage

