## osmo-bsc 1.6.0.4.2fa97

=== debian/changelog ===
osmo-bsc (1.6.0.4.2fa97) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 06 Feb 2020 02:02:10 +0000
