## osmo-bsc 1.6.0.5.8ada9

=== debian/changelog ===
osmo-bsc (1.6.0.5.8ada9) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 27 Feb 2020 01:29:32 +0000
