## osmo-bsc 1.6.1+dfsg1

=== debian/changelog ===
osmo-bsc (1.6.1+dfsg1-4) unstable; urgency=medium

  * debian/control: really remove libosmo-legacy-mgcp-dev as
                    Build-Depends: (Closes: #977516)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 17 Dec 2020 23:48:49 +0100

osmo-bsc (1.6.1+dfsg1-3) unstable; urgency=medium

  * upload to unstable
  * mark test as superficial (Closes: #971484)
  * apply patch to check for nullpointer (Closes: #976882)
    Thanks a lot to Steve Langasek for the patch

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 12 Dec 2020 18:48:49 +0100

osmo-bsc (1.6.1+dfsg1-2) experimental; urgency=medium

  * update dependencies for latest version in experimental

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Dec 2020 19:48:49 +0100

osmo-bsc (1.6.1+dfsg1-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 18 Aug 2020 19:48:49 +0000

osmo-bsc (1.3.0-3) unstable; urgency=low

  * add patch for gcc10 (Closes: #957649)
    Thanks to Harald Welte for the patch
  * debian/control: add myself to uploaders
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 09 Aug 2020 19:28:26 +0200
