## osmo-bsc 1.7.0

=== debian/changelog ===
osmo-bsc (1.7.0) unstable; urgency=medium

  [ Harald Welte ]
  * Introduce nm_fail_rep_signal_data for "SS_NM, S_NM_FAIL_REP" signal
  * OM2000: Add some more message types and IEs we now understand
  * remove 'NAT' log category
  * handorer.h: Fix compilation with gcc-10
  * gsm_data.h: Comment the 'nokia' BTS fields
  * bts_nokia_site: Fix LAPD segfault during reset procedure
  * [cosmetic] system_information: Values are not guesses; more comments
  * bs11_config: Print "Not Equipped" for MBCCU (TRX) that don't exist
  * Count RSL DELETE INDICATION received from BTS
  * system_information: Set BSS_PAGING_COORDINATION in SI13 for osmo-bts
  * vty/bts_resend_cmd: Use gsm_bts_set_system_infos() to increment changemark
  * osmo-bsc.spec.in: Use %config(noreplace) to retain current config file
  * abis_nm: Avoid various "Unhandled message" errors on BS-11 startup
  * Bring timeslot FSMs on BS-11 out of NOT_INITIALIZED state
  * Don't print 'bogus channel load sample' message if total == 0
  * bts_nokia_site: Clean up logging
  * Add example configuration files for E1 BTS
  * remove examples/osmo-bsc/ericsson/osmo-bsc.cfg
  * osmo-bsc.spec.in: Package E1 config files
  * osmo-bsc.spec.in: Add missing directories to package
  * debian: Package E1 configuration file examples
  * lchan_fsm: silently ignore LCHAN_EV_RLL_ERR_IND
  * Add example config files for Ericsson DUG20 based BTS
  * acc.c: Don't use C99 constructs, this breaks builds on Debian 8
  * BS-11: Fix "CONNECT TERRESTRIAL TRAFFIC"
  * Implement support for receiving BSSMAP CommonID from MSC
  * osmo_bsc_sigtran.c: Remove unused #defines
  * use osmo_fd_setup() whenever applicable
  * debian/control: Recommend installation of osmo-mgw
  * Use osmo_fd_*_{disable,enable}
  * fix some size-t format string characters
  * update aoip-mgw-options document with reality of 2020
  * abis_om2000: Force TRX NM state to UNLOCKED once TRX is up
  * osmobsc-usermanual: Add Chapter with AoIP message flow examples
  * OM2K: Permit transition from WAIT_CONF_RES -> WAIT_ENABLE_ACCEPT
  * OM2K: Skip the entire CON MO if there are no connection groups
  * Add a bts_model->bts_init() and trx_init() call-back function
  * abis_om2000: make om2k_mo_name() an exported function
  * [cosmetic] abis_om2000: Re-format to use longer lines
  * abis_om2000: Mark om2k_mo_fsm_start() as static
  * abis_om2000: keep OM2K FSMs around, don't terminate
  * om2000: Add "show bts 0 om2k-mo" command
  * abis_om2000: Handle DP object in get_om2k_mo()
  * smscb: Avoid scheduler array overflow
  * smscb: Fix adding of SMSCB messages when no message with lower period exists
  * select_best_cipher(): Prefer A5/1 over A5/2
  * BS-11: Send proprietary MRPCI message after assignment + HO complete
  * hide the "smscb-command" vty command; people should use osmo-cbc
  * CBSP: document rate counters and their mapping to basic/extended CBCH

  [ Philipp Maier ]
  * bsc_main: use higher default loglevels.
  * lchan_rtp_fsm: fix out_state_mask
  * vty: check with is_ipaccess_bts() before using IPACC
  * lchan_rtp_fsm: make _fsm_timer_cb and _fsm_cleanup static
  * lchan_rtp_fsm: use E1 endpoints if the BTS is not ipaccess type
  * e1: encode line number as trunk number in MGCP endpoint
  * gsm_04_08_rr: block EMERGENCY SETUP when EMERGENCY CALLS are denied
  * abis_rsl.c: make sure emergency calls are rejected early
  * lchan_fsm: merge lchan_mr_config()
  * lchan_fsm: make internal functions static.
  * lchan_fsm: make rsl mode-modify working again
  * abis_rsl: prioritize emergency calls over regular calls
  * abis_rsl.c: flush channel request queue on RSL bootstrap
  * abis_rsl: inform user when expired channel requests get tossed
  * abis_rsl: fix memleak in rach dos reduction function
  * bsc_vty: improve manual activation of lchans (debug / labtest)
  * bsc_vty: fix manual channel activation
  * bsc_vty: fix wrong else-if statement
  * gsm_08_08: fix unreachable code in parse_powercap()
  * osmo_bsc_bssap: actually check for lchan
  * bts: add repeated acch mode flags + vty config
  * abis_rsl: parse cm3 and indicate ACCH repetition cap to BTS
  * bsc_vty: mark repeated ACCH value of 1.9% to 2.7% BER as default
  * bsc_vty: fix acch_repetition ber threshold strings
  * abis_rsl: check if emergency calling is disabled before premption
  * bsc_vty: mark repeat rxqual 4 (BER >= 1.6) as default
  * bts.adoc: describe ACCH repetition settings

  [ Vadim Yanitskiy ]
  * VTY: fix writing of custom timer values to a configuration file
  * vty: fix: restore removed DNAT category as deprecated
  * doc/manuals: remove deprecated DNAT from the VTY reference
  * rest_octets: cosmetic: fix alignment in gprs_cell_options
  * vty: 'gprs 11bit_rach_support_for_egprs': drop redundant check
  * vty: 'gprs 11bit_rach_support_for_egprs': clarify error message
  * vty: clarify EGPRS Packet Channel Request message support
  * A-bis: fix logging level mismatch in abis_nm_rcvmsg_fom()
  * bsc_subscr_find_or_create_by_{imsi,tmsi}(): fix NULL pointer dereference
  * doc/manuals: regenerate the VTY reference file
  * gsm_data: cosmetic: mark argument of is_*_bts() as const
  * bts_unknown: fix: properly initialize the feature vector
  * bts_sysmobts: fix: properly zero-initialize the feature vector
  * bsc_bts_alloc_register(): fix possible NULL-pointer dereference
  * handover_test: use 'unknown' BTS type instead of 'sysmobts'
  * abis_nm: cosmetic: add curly braces to complex 'if' statements
  * abis_nm: cosmetic: use sizeof() for printing buffer size
  * abis_nm: fix: properly truncate feature vector reported by BTS
  * abis_nm: fix ARFCN list encoding in Set Channel Attributes
  * abis_nm: fix length indicator in Set Channel Attributes
  * fix crashes due to OSMO_ASSERT(conn->lchan)
  * abis_rsl: Mobile Allocation IE in CHANnel ACTIVation shall be empty
  * system_information: publicly declare generate_cell_chan_list()
  * system_information: constify bitvec in freq. list encoding API

