## osmo-bsc 1.7.1

=== debian/changelog ===
osmo-bsc (1.7.1) unstable; urgency=medium

  [ Philipp Maier ]
  * assignment_fsm: Check for conn->lchan

 -- Oliver Smith <osmith@sysmocom.de>  Tue, 12 Oct 2021 16:57:13 +0200
