## osmo-bsc 1.8.0

=== debian/changelog ===
osmo-bsc (1.8.0) unstable; urgency=medium

  [ Harald Welte ]
  * remove obsolete dependency on libosmo-sccp
  * manual: Include QoS chapter and add osmo-bsc specific example

  [ Javi ]
  * Add vty command for Ericsson RBS2000 sync
  * Add command to enable RX diversity to RBS2000

  [ Oliver Smith ]
  * stats: T3122 related: num_values 16 -> 60
  * src/utils/meas_vis.c: fix bs_power -> bs_power_db
  * handover_test: fix ts_str may be uninitialized
  * bsc_ctrl_commands: fix uninitialized value (mode)
  * Revert "Turn some compiler warnings into errors"

  [ Neels Hofmeyr ]
  * refactor handover penalty timers
  * drop neighbor_ident_test.c
  * fix/refactor neighbor config
  * debug log, lchan_fsm: explain leaving wait_rll_rtp_establish state
  * fixup for neighbor config for coverity
  * drop unused func decl rsl_lchan_mark_broken()
  * drop unused gsm_bts_trx->description
  * deprecation: use osmo_bts_features_*()
  * fix wrong ARFCNs in local-cell neighbor config
  * update neighbor ARFCNs on startup and config changes
  * manual: Location Services: clarify BSC side address
  * abis_nm_ipaccess_rsl_connect(): use msgb to compose attr
  * Lb: stop RESET FSM when sccp_user is unbound
  * Lb: RESET FSM: never send sccp_user == NULL
  * Lb: add missing X12 timer configurability
  * Lb: make sure we never have missing timer configurability
  * gsm_lchan_name_compute with ctx
  * log: drop duplicate logging in ts_setup_lchans()
  * comment: tweak pchan_subslots() description
  * lchan_release(): do not release UNUSED lchan
  * lchan_fsm: mode modify: fix missing timeouts and error transitions
  * fix test_gsm48_multirate_config: dump the complete AMR lv buffer
  * test_gsm48_multirate_config: rather keep 4x amr_mode
  * assignment_fsm: fix failure log message for lchan unavailable
  * select_codecs(): do not confuse bool 'true' with integer value 1
  * gsm48_send_rr_ass_cmd(): rename dest_lchan to current_lchan
  * gsm48_send_rr_ass_cmd(): rename lchan to new_lchan
  * log: show src file,line of lchan_set_last_error
  * add missing arg braces in LOG_LCHAN macro
  * gscon MGCP: properly skip redundant MDCX towards MSC
  * cosmetic: rename FOR_* to ACTIVATE_FOR_*
  * cosmetic: rename lchan_activate_mode to lchan_activate_for
  * lchan and assignment FSMs: make Channel Mode Modify more sane
  * assignment_fsm: tweak error log msg for mixed modes
  * handover_test: ack release only when lchan is still waiting
  * hodec2: remove code dup of rxlev averaging
  * handover_test: add bspower to meas-rep cmd
  * add test_bs_power.ho_vty to show BS Power HO oscillation
  * assignment_fsm: send BSSMAP response only after Assignment Request
  * cosmetic scoping in reuse_existing_lchan()
  * potential segfault: vty chan act: do not set AMR bits for EFR
  * make sure channel mode and s15_s0 are updated only after an ACK
  * remove special case from assignment_count_result()
  * eliminate lchan->rsl_cmode
  * move lchan->csd_mode into channel_mode_and_rate
  * AMR config cleanup step 1: split lchan_mr_config()
  * AMR config cleanup step 2: filter modes also for VTY
  * AMR config cleanup step 3: generate AMR LV on msg composition
  * handover dot charts: fix wrong transitions regarding MGW
  * handover_test: fix naming/wording: 'handover-req' should be 'handover-cmd'
  * assignment_fsm: tweak state transitions (prep for reassignment)
  * assignment_fsm: allow assignment to a specific lchan
  * vty: actually trigger Assignment for 'assignment', not HO
  * hodec 2: do intra-cell congestion resolution by Assignment
  * RSL link: explicitly select rsl_link based on lchan
  * add chan_mode_to_chan_type()
  * gsm48_lchan2chan_desc(): expose TSC as param
  * allow explixit TSC Set and TSC on chan activ / modif / assignment
  * VTY: dump TSC Set and TSC for each timeslot
  * add fields to reflect nr of lchans in ts struct
  * replace ts_*_for_each_lchan() with ts_for_n_lchans()
  * ensure chan_mode comparisons in non-VAMOS mode
  * lchan_fsm: introduce lchan.modify.ch_mode_rate to allow tweaking
  * Drop duplicated arfcn_range_encode.c available in libosmocore
  * fixup for Mode Modify TSC
  * fix rc handling in channel_mode_from_lchan()
  * drop unused func decl gsm_lchan_as_pchan2chan_nr()
  * handover: apply meas report BS Power to RXLEV, fix ho oscillation
  * change bs_power to bs_power_db
  * meas rep logging: replace a dozen DEBUGPC() with one DEBUGP()
  * meas rep logging: use log_check_level() to skip a logging loop
  * fixup: pass tsc = -1 for previous default training sequence code
  * hodec2: add handover_test cases for upgrade of TCH/H -> TCH/F
  * cosmetic prep: hodec2: move is_upgrade_to_tchf() further up
  * hodec2: fix is_upgrade_to_tchf() for requirement A
  * allow mode modify when RTP stream is active
  * implement Channel Mode Modify to VAMOS mode
  * vty: add lchan modify '(vamos|non-vamos)' command
  * add lchan->vamos.is_secondary flag
  * vty-test: osmo-bsc.vty: test doc of lchan activate cmd
  * lchan_fsm: introduce lchan.activate.ch_mode_rate to allow tweaking
  * add missing AMR config for RTP activation after mode modify
  * implement CHANnel ACTIVate to VAMOS mode
  * RR Assignment for VAMOS: send TSC Set
  * add VAMOS secondary lchans to timeslot struct
  * update the lchan name to always reflect VAMOS shadowness
  * rsl_lchan_lookup(): turn cbits if-cascade into a switch()
  * rsl_lchan_lookup(): add comment explaining ts_is_capable_of_pchan()
  * RSL chan_nr: replace OSMO_ASSERT with error handling
  * RSL: rx and tx VAMOS Channel Number cbits for VAMOS lchans
  * VTY: 'show lchan': show that lchan is in VAMOS mode
  * VTY: add 'vamos-subslot' to activate a secondary lchan
  * VTY: add lchan re-assignment command
  * log: assignment_fsm: drop newline from assignment_fail
  * log: assignment_fsm: tweak err msg for incompatible chan
  * clarify bts_chan_load
  * get_any_lchan(): reduce minor code dup
  * cosmetic loop simplification in gsm48_multirate_config()

