=== debian/control ===
--- 
+++ 
@@ -12,13 +12,12 @@
                python3-minimal,
                libcdk5-dev,
                libtalloc-dev,
-               libosmocore-dev (>= 1.5.0),
-               libosmo-sccp-dev (>= 1.4.0),
-               libosmo-sigtran-dev (>= 1.4.0),
-               libosmo-abis-dev (>= 1.1.0),
+               libosmocore-dev (>= 1.6.0),
+               libosmo-sigtran-dev (>= 1.5.0),
+               libosmo-abis-dev (>= 1.2.0),
                libosmo-netif-dev (>= 1.1.0),
-               libosmo-mgcp-client-dev (>= 1.8.0),
-               osmo-gsm-manuals-dev (>= 1.1.0)
+               libosmo-mgcp-client-dev (>= 1.9.0),
+               osmo-gsm-manuals-dev (>= 1.2.0)
 Standards-Version: 3.9.8
 Vcs-Git: git://git.osmocom.org/osmo-bsc.git
 Vcs-Browser: https://git.osmocom.org/osmo-bsc/
